org.apache.lucene.queryParser.standard

## Class QueryParserWrapper

- java.lang.Object
- - org.apache.lucene.queryParser.standard.QueryParserWrapper

- Direct Known Subclasses:
    MultiFieldQueryParserWrapper

  Deprecated.
  this class will be removed soon, it's a temporary class to be used along the transition from the old query parser to the new one

      public class QueryParserWrapper
      extends java.lang.Object

  This class performs the query parsing using the new query parser implementation, but keeps the old `QueryParser` API.
  This class should be used when the new query parser features are and the old `QueryParser` API are needed at the same time.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `QueryParserWrapper.Operator` Deprecated. The default operator for parsing queries.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static QueryParserWrapper.Operator` | `AND_OPERATOR` Deprecated. Alternative form of QueryParser.Operator.AND
    `static QueryParserWrapper.Operator` | `OR_OPERATOR` Deprecated. Alternative form of QueryParser.Operator.OR

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryParserWrapper(java.lang.String defaultField, Analyzer analyzer)` Deprecated.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `escape(java.lang.String s)` Deprecated. Returns a String where those characters that QueryParser expects to be escaped are escaped by a preceding `\`.
    `ParseException` | `generateParseException()` Deprecated.
    `boolean` | `getAllowLeadingWildcard()` Deprecated.
    `Analyzer` | `getAnalyzer()` Deprecated.
    `protected Query` | `getBooleanQuery(java.util.List clauses, boolean disableCoord)` Deprecated.
    `DateTools.Resolution` | `getDateResolution(java.lang.String fieldName)` Deprecated.
    `QueryParserWrapper.Operator` | `getDefaultOperator()` Deprecated.
    `boolean` | `getEnablePositionIncrements()` Deprecated.
    `java.lang.String` | `getField()` Deprecated.
    `protected Query` | `getFieldQuery(java.lang.String field, java.lang.String queryText)` Deprecated.
    `protected Query` | `getFieldQuery(java.lang.String field, java.lang.String queryText, int slop)` Deprecated. Base implementation delegates to `getFieldQuery(String,String)`.
    `float` | `getFuzzyMinSim()` Deprecated.
    `int` | `getFuzzyPrefixLength()` Deprecated.
    `protected Query` | `getFuzzyQuery(java.lang.String field, java.lang.String termStr, float minSimilarity)` Deprecated.
    `java.util.Locale` | `getLocale()` Deprecated.
    `boolean` | `getLowercaseExpandedTerms()` Deprecated.
    `MultiTermQuery.RewriteMethod` | `getMultiTermRewriteMethod()` Deprecated.
    `int` | `getPhraseSlop()` Deprecated.
    `protected Query` | `getPrefixQuery(java.lang.String field, java.lang.String termStr)` Deprecated.
    `QueryConfigHandler` | `getQueryConfigHandler()` Deprecated. Returns the query config handler used by this query parser
    `QueryNodeProcessor` | `getQueryProcessor()` Deprecated. Returns `QueryNodeProcessor` used to process the query node tree generated by the `StandardSyntaxParser`.
    `java.text.Collator` | `getRangeCollator()` Deprecated.
    `protected Query` | `getRangeQuery(java.lang.String field, java.lang.String part1, java.lang.String part2, boolean inclusive)` Deprecated.
    `boolean` | `getUseOldRangeQuery()` Deprecated.
    `protected Query` | `getWildcardQuery(java.lang.String field, java.lang.String termStr)` Deprecated.
    `Query` | `parse(java.lang.String query)` Deprecated.
    `void` | `setAllowLeadingWildcard(boolean allowLeadingWildcard)` Deprecated.
    `void` | `setDateResolution(DateTools.Resolution dateResolution)` Deprecated.
    `void` | `setDateResolution(java.lang.String fieldName, DateTools.Resolution dateResolution)` Deprecated.
    `void` | `setDefaultOperator(QueryParserWrapper.Operator op)` Deprecated.
    `void` | `setEnablePositionIncrements(boolean enable)` Deprecated.
    `void` | `setFuzzyMinSim(float fuzzyMinSim)` Deprecated.
    `void` | `setFuzzyPrefixLength(int fuzzyPrefixLength)` Deprecated.
    `void` | `setLocale(java.util.Locale locale)` Deprecated.
    `void` | `setLowercaseExpandedTerms(boolean lowercaseExpandedTerms)` Deprecated.
    `void` | `setMultiTermRewriteMethod(MultiTermQuery.RewriteMethod method)` Deprecated.
    `void` | `setPhraseSlop(int phraseSlop)` Deprecated.
    `void` | `setQueryBuilder(StandardQueryBuilder builder)` Deprecated. Sets the `StandardQueryBuilder` used to generate a `Query` object from the parsed and processed query node tree.
    `void` | `setQueryConfig(StandardQueryConfigHandler queryConfig)` Deprecated. Sets the `QueryConfigHandler` used by the `QueryNodeProcessor` set to this object.
    `void` | `setQueryProcessor(QueryNodeProcessor processor)` Deprecated. Sets the `QueryNodeProcessor` used to process the query node tree generated by the `StandardSyntaxParser`.
    `void` | `setRangeCollator(java.text.Collator rc)` Deprecated.
    `void` | `setUseOldRangeQuery(boolean useOldRangeQuery)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AND_OPERATOR

          public static final QueryParserWrapper.Operator AND_OPERATOR

      Deprecated.
      Alternative form of QueryParser.Operator.AND

    - #### OR_OPERATOR

          public static final QueryParserWrapper.Operator OR_OPERATOR

      Deprecated.
      Alternative form of QueryParser.Operator.OR

  - ### Constructor Detail

    - #### QueryParserWrapper

          public QueryParserWrapper(java.lang.String defaultField,
                                    Analyzer analyzer)

      Deprecated.

  - ### Method Detail

    - #### escape

          public static java.lang.String escape(java.lang.String s)

      Deprecated.
      Returns a String where those characters that QueryParser expects to be escaped are escaped by a preceding `\`.

    - #### getField

          public java.lang.String getField()

      Deprecated.

    - #### getAnalyzer

          public Analyzer getAnalyzer()

      Deprecated.

    - #### setQueryBuilder

          public void setQueryBuilder(StandardQueryBuilder builder)

      Deprecated.
      Sets the `StandardQueryBuilder` used to generate a `Query` object from the parsed and processed query node tree.
      Parameters:
        `builder` - the builder

    - #### setQueryProcessor

          public void setQueryProcessor(QueryNodeProcessor processor)

      Deprecated.
      Sets the `QueryNodeProcessor` used to process the query node tree generated by the `StandardSyntaxParser`.
      Parameters:
        `processor` - the processor

    - #### setQueryConfig

          public void setQueryConfig(StandardQueryConfigHandler queryConfig)

      Deprecated.
      Sets the `QueryConfigHandler` used by the `QueryNodeProcessor` set to this object.
      Parameters:
        `queryConfig` - the query config handler

    - #### getQueryConfigHandler

          public QueryConfigHandler getQueryConfigHandler()

      Deprecated.
      Returns the query config handler used by this query parser
      Returns:
        the query config handler

    - #### getQueryProcessor

          public QueryNodeProcessor getQueryProcessor()

      Deprecated.
      Returns `QueryNodeProcessor` used to process the query node tree generated by the `StandardSyntaxParser`.
      Returns:
        the query processor

    - #### generateParseException

          public ParseException generateParseException()

      Deprecated.

    - #### getAllowLeadingWildcard

          public boolean getAllowLeadingWildcard()

      Deprecated.

    - #### getMultiTermRewriteMethod

          public MultiTermQuery.RewriteMethod getMultiTermRewriteMethod()

      Deprecated.

    - #### getDateResolution

          public DateTools.Resolution getDateResolution(java.lang.String fieldName)

      Deprecated.

    - #### getEnablePositionIncrements

          public boolean getEnablePositionIncrements()

      Deprecated.

    - #### getFuzzyMinSim

          public float getFuzzyMinSim()

      Deprecated.

    - #### getFuzzyPrefixLength

          public int getFuzzyPrefixLength()

      Deprecated.

    - #### getLocale

          public java.util.Locale getLocale()

      Deprecated.

    - #### getLowercaseExpandedTerms

          public boolean getLowercaseExpandedTerms()

      Deprecated.

    - #### getPhraseSlop

          public int getPhraseSlop()

      Deprecated.

    - #### getRangeCollator

          public java.text.Collator getRangeCollator()

      Deprecated.

    - #### getUseOldRangeQuery

          public boolean getUseOldRangeQuery()

      Deprecated.

    - #### parse

          public Query parse(java.lang.String query)
                      throws ParseException

      Deprecated.
      Throws:
        `ParseException`

    - #### setAllowLeadingWildcard

          public void setAllowLeadingWildcard(boolean allowLeadingWildcard)

      Deprecated.

    - #### setMultiTermRewriteMethod

          public void setMultiTermRewriteMethod(MultiTermQuery.RewriteMethod method)

      Deprecated.

    - #### setDateResolution

          public void setDateResolution(DateTools.Resolution dateResolution)

      Deprecated.

    - #### setDateResolution

          public void setDateResolution(java.lang.String fieldName,
                                        DateTools.Resolution dateResolution)

      Deprecated.

    - #### setDefaultOperator

          public void setDefaultOperator(QueryParserWrapper.Operator op)

      Deprecated.

    - #### getDefaultOperator

          public QueryParserWrapper.Operator getDefaultOperator()

      Deprecated.

    - #### setEnablePositionIncrements

          public void setEnablePositionIncrements(boolean enable)

      Deprecated.

    - #### setFuzzyMinSim

          public void setFuzzyMinSim(float fuzzyMinSim)

      Deprecated.

    - #### setFuzzyPrefixLength

          public void setFuzzyPrefixLength(int fuzzyPrefixLength)

      Deprecated.

    - #### setLocale

          public void setLocale(java.util.Locale locale)

      Deprecated.

    - #### setLowercaseExpandedTerms

          public void setLowercaseExpandedTerms(boolean lowercaseExpandedTerms)

      Deprecated.

    - #### setPhraseSlop

          public void setPhraseSlop(int phraseSlop)

      Deprecated.

    - #### setRangeCollator

          public void setRangeCollator(java.text.Collator rc)

      Deprecated.

    - #### setUseOldRangeQuery

          public void setUseOldRangeQuery(boolean useOldRangeQuery)

      Deprecated.

    - #### getPrefixQuery

          protected Query getPrefixQuery(java.lang.String field,
                                         java.lang.String termStr)
                                  throws ParseException

      Deprecated.
      Throws:
        `ParseException`

    - #### getWildcardQuery

          protected Query getWildcardQuery(java.lang.String field,
                                           java.lang.String termStr)
                                    throws ParseException

      Deprecated.
      Throws:
        `ParseException`

    - #### getFuzzyQuery

          protected Query getFuzzyQuery(java.lang.String field,
                                        java.lang.String termStr,
                                        float minSimilarity)
                                 throws ParseException

      Deprecated.
      Throws:
        `ParseException`

    - #### getFieldQuery

          protected Query getFieldQuery(java.lang.String field,
                                        java.lang.String queryText)
                                 throws ParseException

      Deprecated.
      Throws:
        `ParseException` - throw in overridden method to disallow

    - #### getBooleanQuery

          protected Query getBooleanQuery(java.util.List clauses,
                                          boolean disableCoord)
                                   throws ParseException

      Deprecated.
      Throws:
        `ParseException`

    - #### getFieldQuery

          protected Query getFieldQuery(java.lang.String field,
                                        java.lang.String queryText,
                                        int slop)
                                 throws ParseException

      Deprecated.
      Base implementation delegates to `getFieldQuery(String,String)`. This method may be overridden, for example, to return a SpanNearQuery instead of a PhraseQuery.
      Throws:
        `ParseException` - throw in overridden method to disallow

    - #### getRangeQuery

          protected Query getRangeQuery(java.lang.String field,
                                        java.lang.String part1,
                                        java.lang.String part2,
                                        boolean inclusive)
                                 throws ParseException

      Deprecated.
      Throws:
        `ParseException` - throw in overridden method to disallow

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.